BLK_QUEUE_PREP_RQ(9)

NAME
blk_queue_prep_rq - set a prepare_request function for queue

SYNOPSIS

void blk_queue_prep_rq(struct request_queue * q, prep_rq_fn * pfn);

ARGUMENTS

q
    queue

pfn
    prepare_request function

DESCRIPTION

It's possible for a queue to register a prepare_request callback which is invoked before the request is handed to the request_fn. The goal of the function is to prepare a request for I/O, it can be used to build a cdb from the request data for instance.

COPYRIGHT